<?php

global $wpdb;

$cw_key_table = CLUBWORDPRESS_TBL_KEY;
$charset_collate = '';
if (!empty($wpdb->charset)){
    $charset_collate = "DEFAULT CHARACTER SET $wpdb->charset";
}else{
    $charset_collate = "DEFAULT CHARSET=utf8";
}
if (!empty($wpdb->collate)){
    $charset_collate .= " COLLATE $wpdb->collate";
} 
$cw_tbl_sql = "CREATE TABLE " . $cw_key_table . " (
      id int(12) NOT NULL AUTO_INCREMENT,
      item_name varchar(255) NOT NULL,
      type varchar(255) NOT NULL,
      is_free BOOLEAN NOT NULL DEFAULT FALSE,
      version varchar(255) NOT NULL,    
      filepath varchar(255) NOT NULL,       
      image varchar(255) NOT NULL,       
      excerpt TINYTEXT NOT NULL default '',
      permalink TINYTEXT NOT NULL default '',
      demo TINYTEXT NOT NULL default '',
      update_date DATE NOT NULL,   
      count int(12) NOT NULL, 
      ordering int(12) NOT NULL,
      product_id int(12) NOT NULL,
      PRIMARY KEY  (id)
      )" . $charset_collate . ";";
require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
dbDelta($cw_tbl_sql);

update_option("cw_db_version", CLUBWORDPRESS_DB_VERSION);

